
QGIS Application - Bug report #16746

Hide/Show attribute columns in attribute table fails after toggling column visibility

2017-06-22 03:18 PM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.18.9 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24645

Description

Steps to reproduce:

1.

Show an arbitrary attribute table

2.

Right click a column-header and open the "Organize table columns" dialogue

3.

Hide a single column unchecking a column check box and press ok to close the dialogue

4.

Right click a column-header and open the "Organize table columns" dialogue again

5.

Show the previously hidden column by turning the respective checkbox on and confirm with pressing ok

Bug: the column is not properly displayed, instead the column after the column to show takes the previous width of the column that fails to

display

Associated revisions

Revision 02179adf - 2017-07-18 09:59 AM - David 

Fix crash in attributetable when removing more than one column

References #16746

Revision b677ee1b - 2017-07-18 09:59 AM - David 

Fix in attributetable - unable to update column

Fix #16746

Revision fd9213ce - 2017-07-18 09:59 AM - David 

Fix crash in attributetable when removing more than one column
References #16746

Revision 11bb2488 - 2017-07-18 09:59 AM - David 

Fix in attributetable - unable to update column

Fix #16746

History

#1 - 2017-07-18 09:59 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|b677ee1b280b9fca50b014f5363109698d277287.
